Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSensorInfo Class Reference
GoSdk

## Description

Represents read-only sensor information.

Inheritance diagram for GoSensorInfo:

## Public Member Functions
GoSensorInfo | GoSensor_BuddiesAt (GoSensor info, k32u index)
| Gets the buddy at a given index. More...
kStatus | GoSensor_ModelDisplayName (GoSensor sensor, kChar *modelDisplayName, kSize capacity)
| Gets the model display name associated with this sensor. More...
GoBuddyState | GoSensorInfo_BuddyableStatus (GoSensorInfo info)
| Gets the budddyable state of the device which provided the sensor information. More...
k32u | GoSensorInfo_BuddyId (GoSensorInfo info)
| Gets the ID of the buddy device which provided the sensor information. More...
kVersion | GoSensorInfo_Firmware (GoSensorInfo info)
| Gets the firmware version of the sensor which provided the sensor information. More...
kBool | GoSensorInfo_HasBuddy (GoSensorInfo info)
| Indicates whether the device providing the sensor information has a buddy device connected. More...
k32u | GoSensorInfo_Id (GoSensorInfo info)
| Gets the source ID of the sensor information. More...
k32u | GoSensorInfo_MainId (GoSensorInfo info)
| Gets the id of the main device which provided the sensor information. More...
kStatus | GoSensorInfo_ModelDisplayName (GoSensorInfo info, kChar *modelDisplayName, kSize capacity)
| Gets the model display name of the sensor which provided the sensor information. More...
kStatus | GoSensorInfo_PartNumber (GoSensorInfo info, kChar *partNumber, kSize capacity)
| Gets the part number of the sensor which provided the sensor information. More...
GoRole | GoSensorInfo_Role (GoSensorInfo info)
| Gets the role of the sensor which provided the sensor information. More...
GoState | GoSensorInfo_State (GoSensorInfo info)
| Gets the state of the device which provided the sensor information. More...

The documentation for this class was generated from the following files:

- GoSensorInfo.h
- GoSensor.h